Package org.eclipse.lemminx.settings

## Enum XMLFormattingOptions.EmptyElements

- java.lang.Object
- - java.lang.Enum<XMLFormattingOptions.EmptyElements>
  - - org.eclipse.lemminx.settings.XMLFormattingOptions.EmptyElements

All Implemented Interfaces:
  `Serializable`, `Comparable<XMLFormattingOptions.EmptyElements>`

Enclosing class:
  XMLFormattingOptions

    public static enum XMLFormattingOptions.EmptyElements
    extends Enum<XMLFormattingOptions.EmptyElements>

Options for formatting empty elements.

- `expand` : expand empty elements. With this option the following XML:

       <example />

  will be formatted to :

       <example><example>

- `collapse` : collapse empty elements. With this option the following XML:

       <example></example>

  will be formatted to :

       <example />

- `ignore` : keeps the original XML content for empty elements.

### Enum Constant Summary

Enum Constants
`collapse`
`expand`
`ignore`

### Method Summary

All Methods Static Methods Concrete Methods
`static XMLFormattingOptions.EmptyElements` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static XMLFormattingOptions.EmptyElements[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### expand

    public static final XMLFormattingOptions.EmptyElements expand

#### collapse

    public static final XMLFormattingOptions.EmptyElements collapse

#### ignore

    public static final XMLFormattingOptions.EmptyElements ignore

### Method Detail

#### values

    public static XMLFormattingOptions.EmptyElements[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (XMLFormattingOptions.EmptyElements c : XMLFormattingOptions.EmptyElements.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XMLFormattingOptions.EmptyElements valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null